<?php

	include_once( PLOG_CLASS_PATH."class/action/admin/siteadminaction.class.php" );
	include_once( PLOG_CLASS_PATH."plugins/jupload/class/view/pluginjuploadconfigview.class.php" );	

	/**
	 * shows a form with the current configuration
	 */
	class PluginJUploadConfigAction extends SiteAdminAction
	{
		
		function PluginJUploadConfigAction( $actionInfo, $request )
		{
			$this->SiteAdminAction( $actionInfo, $request );
		}
		
		function perform()
		{
            $this->_view = new PluginJUploadConfigView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
		}
	}
?>